function loadSaveFile(file_name)
	local xml = require("xmlSimple").newParser()
	local dir = love.filesystem.getSaveDirectory()
	--dir = string.gsub(dir,'src',pname)
	return xml:loadFile(file_name, dir)	
end

function createNodes(names)
	local nodes = {}
	for i=1,#names do
		local new_node = require("xmlSimple").newNode(names[i])
		table.insert(nodes, new_node)
	end
	return nodes	
end

function addNodeAttr(node, atr_name, atr_value)
	node:addProperty(atr_name,atr_value)
end

function saveSaveFile(nodes, root_name)
	local root_node = require("xmlSimple").newNode(root_name)
	for i=1,#nodes do
		root_node:addChild(nodes[i])		
	end
	local xmlstr = createXML(root_node, true)
	love.filesystem.write( (root_name..'.xml'), xmlstr, string.len(xmlstr) )
end